##############################################################################
#
# Copyright (c) 2004 Chris McDonough, Paul Winkler, Jens Vagelpohl and
# Contributors.  All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#
##############################################################################

from Interface import Interface

class IBlob(Interface):
    def open(mode):
        """ Return a filelike object, open for reading or writing depending
        on 'mode', which may be one of ['w', 'wb', 'a', 'ab', 'r', or 'rb']
        (meanings similar to those of the Python 'open' builtin).
        """

    def unlink():
        """ Unlink the file  """

